
Application: gvSIG desktop - gvSIG bugs #230
Eliminar llamdas al log de NullSpinnerHandler
02/01/2012 01:17 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Jorge Piera
Category:
Target version: 2.0.0-alpha4
Severity: Add-on version: 2.0.0
gvSIG version: 2.0.0 Add-on build: 2044
gvSIG build: 2043 Add-on resolve version:2.0.0
Operative System: Add-on resolve build: 2044
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

En org.gvsig.tools.swing.impl.usability.spinner.date.NullSpinnerHandler.setValue   se esta metiendo en el log el valor que se le asigna
a cada vez.  A este metodo se le invoca cientos de veces y provoca que el log se llene de trazas que no aportan ningun valor al
desarrollador. Habria que quitar esas entradas del log.

Ya puestos, repasar el metodo entero, ya que parece que hay codigo redundante.

History
#1 - 02/06/2012 12:39 PM - Jorge Piera
- Assignee set to Jorge Piera

#2 - 02/06/2012 12:50 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#3 - 02/06/2012 01:18 PM - Jorge Piera
- Status changed from New to Fixed
- % Done changed from 0 to 100
- gvSIG build set to 2043
- Add-on version set to 2.0.0
- Add-on build set to 2044
- Add-on resolve version set to 2.0.0
- Add-on resolve build set to 2044

Removing the log.info lines and removing the not-necessary code

gvsig-tools:r676

#4 - 02/26/2014 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed

05/07/2024 1/1

https://devel.gvsig.org/redmine/projects/gvsig-tools/repository/entry/org.gvsig.tools/library/trunk/org.gvsig.tools/org.gvsig.tools.swing/org.gvsig.tools.swing.impl/src/main/java/org/gvsig/tools/swing/impl/usability/spinner/date/NullSpinnerHandler.java#L462

